Bug 439528 - psgml spins endlessly on DTD reading
psgml spins endlessly on DTD reading
Product: Fedora
Classification: Fedora
Component: psgml (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-28 17:16 EDT by Paul W. Frields
Modified: 2013-04-30 19:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 10:01:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul W. Frields 2008-03-28 17:16:36 EDT

If I load any XML file, such as DocBook V4.4, for which I have all the schema
and stylesheet packages installed, and parse the DTD, the CPU spikes endlessly
instead of being a normally 2-3 second operation.

Although I am using Brad Walkers' Emacs packages, I've confirmed the same thing
happens with the stock Rawhide Emacs.  I've removed my ~/.emacs file and
~/.xemacs/ folder and also tried in a new, clean user account.

I'm willing to help troubleshoot, but I am no Emacs internals expert, just
another dumb, happy user.  I'm not even sure the problem is psgml, but I can
tell you that emacs-nxml-mode works fine.

I use Emacs + psgml to write Fedora docs all the time, so having this fixed
would be great.
Comment 1 Bug Zapper 2008-05-14 04:23:30 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 2 Adam Tkac 2008-05-21 10:54:00 EDT
Adding Alex to CC
Comment 3 Bug Zapper 2009-06-09 19:54:59 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2009-07-14 10:01:56 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.